--- old/usr/src/lib/print/libpapi-common/common/attribute.c	Wed Aug  8 20:59:34 2012
+++ new/usr/src/lib/print/libpapi-common/common/attribute.c	Wed Aug  8 20:59:33 2012
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -27,8 +28,6 @@
 
 /* $Id: attribute.c 157 2006-04-26 15:07:55Z ktou $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*LINTLIBRARY*/
 
 #include <stdio.h>
@@ -203,7 +202,7 @@
 }
 
 static papi_attribute_t *
-papiAttributeAlloc(char *name, papi_attribute_value_type_t type)
+papiAttributeAlloc(const char *name, papi_attribute_value_type_t type)
 {
 	papi_attribute_t *result = NULL;
 
@@ -238,7 +237,7 @@
 
 papi_status_t
 papiAttributeListAddValue(papi_attribute_t ***list, int flgs,
-		char *name, papi_attribute_value_type_t type,
+		const char *name, papi_attribute_value_type_t type,
 		papi_attribute_value_t *value)
 {
 	papi_status_t result;
@@ -318,7 +317,7 @@
 
 papi_status_t
 papiAttributeListAddBoolean(papi_attribute_t ***list, int flags,
-			char *name, char boolean)
+			const char *name, char boolean)
 {
 	papi_attribute_value_t v;
 
@@ -402,7 +401,7 @@
 }
 
 papi_attribute_t *
-papiAttributeListFind(papi_attribute_t **list, char *name)
+papiAttributeListFind(papi_attribute_t **list, const char *name)
 {
 	int i;
 	if ((list == NULL) || (name == NULL))
